"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function findElementByTag(nodes, tag) {
    return nodes.find(n => n.tagName === tag);
}
exports.findElementByTag = findElementByTag;
function findElementsByTag(nodes, tag) {
    return nodes.filter(n => n.tagName === tag);
}
exports.findElementsByTag = findElementsByTag;
function findElementByAttribute(nodes, attr) {
    for (const node of nodes) {
        if (node.attrs.find(a => (typeof attr.name === 'undefined' || a.name === attr.name) && (typeof attr.value === 'undefined' || a.value === attr.value))) {
            return node;
        }
    }
}
exports.findElementByAttribute = findElementByAttribute;
